# Coordinates

## Coordinates API

### `Coordinates()`

Constructs an instance of Coordinates.

```java
Coordinates(double latitude, double longitude)
```

<table><thead><tr><th width="214">Parameters</th><th></th></tr></thead><tbody><tr><td>latitude</td><td>Specifies the north-south position of a point on the surface of the Earth, in degrees, ranging from −90° at the south pole to 90° at the north.</td></tr><tr><td>longitude</td><td>Specifies the east-west position of a point on the surface of the Earth, in degrees, ranging from -180° westward to 180° eastward.</td></tr></tbody></table>

### `getLatitude()`

Returns the latitude in degrees.

```java
double getLatitude()
```

### `getLongitude()`

Returns the longitude in degrees.

```java
double getLongitude()
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/coordinates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
